Package: org.codehaus.groovy.grails.web.converters.marshaller.json

## [Java] Class DateMarshaller

- org.codehaus.groovy.grails.web.converters.marshaller.json.DateMarshaller

- All Implemented Interfaces and Traits:
    ObjectMarshaller

      public class DateMarshaller
      extends java.lang.Object

  JSON ObjectMarshaller which converts a Date Object, conforming to the ECMA-Script-Specification Draft, to a String value.

  Authors:
    Siegfried Puchbauer
  Since:
    1.1

- - ### Constructor Summary

    Constructors
    Constructor and description
    `DateMarshaller (java.text.Format formatter)` Constructor with a custom formatter.
    `DateMarshaller ()` Default constructor.

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `marshalObject(java.lang.Object object, JSON converter)`
    `boolean` | `supports(java.lang.Object object)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### public DateMarshaller(java.text.Format formatter)

      Constructor with a custom formatter.

      Parameters:
        `formatter` - the formatter

    - #### public DateMarshaller()

      Default constructor.

  - ### Method Detail

    - #### public void marshalObject(java.lang.Object object, JSON converter)

    - #### public boolean supports(java.lang.Object object)